#include <iostream>
#include <string>
using namespace std;
int main(){
    int n, l, f=0; string s;
    cin>>s;
    l=s.length()-1;
    if(l<=25){
        cout<<0;
        return 0;
    }
    for(int i=0; i<l; i++){
        if(s[i+1]=s[i]+1){
            f++;
        }
    }
    if(f>1)
        cout<<2;
    else
        cout<<0;
    return 0;
}